<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <form #searchForm="ngForm" fxLayout="row" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Fecha Inicio</mat-label>
                        <input matInput type="date" placeholder="Código del parámetro" id="fechaInicio"
                            [(ngModel)]="search.fechaInicio" name="fechaInicio" #fechaInicio="ngModel"
                            (keyup)="applyFilter(search.fechaInicio)">
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Fecha Fin</mat-label>
                        <input matInput type="date" placeholder="Código del parámetro" id="fechaFin"
                            [(ngModel)]="search.fechaFin" name="fechaFin" #fechaFin="ngModel"
                            (keyup)="applyFilter(search.fechaFin)">
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Código</mat-label>
                        <input matInput type="text" placeholder="Código del parámetro" id="codigo"
                            [(ngModel)]="search.codigo" name="codigo" #codigo="ngModel"
                            (keyup)="applyFilter(search.codigo)">
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Estado</mat-label>
                        <select matNativeControl name="estado" id="estado" #estado="ngModel" [(ngModel)]="search.estado"
                            (change)="applyFilter(search.estado)">
                            <option *ngFor="let tid of estados" [value]="tid">
                                {{tid}}
                            </option>
                        </select>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Plan</mat-label>
                        <select matNativeControl name="plan" id="plan" #plan="ngModel" [(ngModel)]="search.plan"
                            (change)="applyFilter(search.plan)">
                            <option *ngFor="let est of planes" [value]="est.nombre">
                                {{est.nombre}}
                            </option>
                        </select>
                    </mat-form-field>
                </form>
                <div class="responsive-table">
                    <mat-table [dataSource]="dataSource" matSort>
                        <!-- Acciones Column -->
                        <ng-container matColumnDef="acciones">
                            <mat-header-cell *matHeaderCellDef> Acciones </mat-header-cell>
                            <mat-cell *matCellDef="let row">
                                <button mat-icon-button [routerLink]="['/cupons/', row.id]">
                                    <mat-icon>edit</mat-icon>
                                </button>
                                <button mat-icon-button (click)="openConfirm('Delete',row.id)">
                                    <mat-icon>delete</mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <!-- Codigo Column -->
                        <ng-container matColumnDef="plan">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Plan </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.plan}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="codigo">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Código </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.codigo}} </mat-cell>
                        </ng-container>
                        <!-- fechaInicio Column -->
                        <ng-container matColumnDef="fechaInicio">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> fecha Inicio </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.fechaInicio | date:'dd/MM/yyyy'}} </mat-cell>
                        </ng-container>
                        <!-- fechaFin Column -->
                        <ng-container matColumnDef="fechaFin">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> fecha Fin </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.fechaFin | date:'dd/MM/yyyy'}} </mat-cell>
                        </ng-container>
                        <!-- porciento Column -->
                        <ng-container matColumnDef="porciento">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Porciento </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.porciento}}</mat-cell>
                        </ng-container>
                        <!-- mensaje Column -->
                        <ng-container matColumnDef="mensaje">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> mensaje </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.mensaje}}</mat-cell>
                        </ng-container>
                        <!-- estado Column -->
                        <ng-container matColumnDef="estado">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Estado </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.estado}}</mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;">
                        </mat-row>
                    </mat-table>
                    <mat-paginator [pageSizeOptions]="[5, 90,5]"></mat-paginator>
                </div>
            </mat-card-content>
        </mat-card>
        <app-toolbar-button>
            <button mat-button routerLink="/cupons/new" mat-flat-button color="primary">
                <mat-icon>add</mat-icon>
            </button>
        </app-toolbar-button>
    </div>
</div>